Upgrade docs out of date?



  • Just curious if this has alwys been NodeBb's flow or not.

    The Upgrade docs say to checkout the branch (in this case v1.13.x) to do the upgrades, however, I can't do this as currently that branch is on a prerelease not production ready realease.

    So should we always be upgrading to the release behind the latest release? in this case, with the release of 1.13.3, we should be upgrading to 1.12.x ?


  • Admin Staff

    Latest stable is v1.13.3 so can't you just check out that and not v1.13.x



  • Hey @baris

    So we should be checking out tags, not branches, correct? In which case, the docs are out of date as they still recommend checking out the branches, not the tags (there is no v1.13.3 branch, unless i'm missing something).

    something like git fetch --tags && git checkout v1.13.3 ?

    If so, it might be worth updating the upgrade docs here: https://docs.nodebb.org/configuring/upgrade/ to include a mention of this so people don't accidentally pull down pre-release builds by following the guides (which I did).

    Thanks


  • GNU/Linux Admin

    Hm... a pre-release is technically marked not ready for production, but we wouldn't intentionally introduce any breaking changes in.

    The reason why we recommend following the branch itself (and not checking out a specific version) is so that you can easily git pull if you need to get any backported changes.

    No problem for you to check out the specifc version, however.



  • @julian No worries. It's just slightly alarming upgrading a production instance only to find out you've accidentally gone all the way to a pre-release. We've only recently taken over our current NodeBB forum from someone else and I'm not familiar with the workflow yet.

    I've made a note in our internal docs so it doesn't happen again. I was just wondering if I'd mis-read the docs or if that was the intended workflow.

    🙂


Log in to reply
 

Suggested Topics

  • 19
  • 3
  • 2
  • 1
  • 4
| |